import compression from "compression";
import cors from "cors";
import express from "express";
import listEndpoints from "express-list-endpoints";
import * as imageController from "src/controllers/imageController";

const app = express();

app.use(express.json());
app.use(compression());
app.use(cors());

app.get("/", (_, res) => {
  const endpoints = listEndpoints(app);
  res.json({ endpoints });
});

app.get("/image", imageController.get);

export default app;
