import { Request, Response } from "express";
import logger from "src/logger";
import * as imageService from "src/services/imageService";

export async function get(_: Request, res: Response) {
  try {
    const image = await imageService.get();
    res.json(image);
  } catch (error: any) {
    logger.error(error);
    res.status(500).json({ error: `Internal server error: ${error}` });
  }
}
